#ifndef activewindowh
#define activewindowh

#include <qwidget.h>
#include <qscrollbar.h>

#include "mwindow.h"
#include "activeplaylist.h"
#include "activeentry.h"

class ActiveWindow : public QWidget {
	Q_OBJECT

	private:
		MainWindow *parent;
	
	public:
		ActiveWindow(MainWindow *p);
		~ActiveWindow();

		QScrollBar *aScroll;
		ActivePlaylist *aPlaylist;

		void keyPressEvent(QKeyEvent * e);
		void keyReleaseEvent (QKeyEvent * e);
		void resizeEvent(QResizeEvent *e);

	public slots:
		void show();
};

#else
	class ActiveWindow;
#endif
