#ifndef popupmenuh
#define popupmenuh

#include <qwidget.h>
#include <qpopupmenu.h>
#include <qevent.h>

#include "playlist.h"
#include "playlistbase.h"

class PopupMenu : public QPopupMenu {
	Q_OBJECT

	private:
		PlaylistBase *dataParent;
		Playlist *parent;

	public:
		PopupMenu(Playlist *p);

		void popup(QPoint point, PlaylistBase *dtP);

		void keyPressEvent(QKeyEvent *e);
		void keyReleaseEvent (QKeyEvent *e);

	public slots:
		void insertEntry();
		void insertSep();
		void removeThis();
};
#else
	class PopupMenu;
#endif
