#ifndef popupnameh
#define popupnameh

#include <qwidget.h>
#include <qpopupmenu.h>
#include <qevent.h>
#include <qlineedit.h>

#include "playlist.h"
#include "playlistbase.h"

class PopupName : public QPopupMenu {
	Q_OBJECT

	private:
		PlaylistBase *dataParent;
		Playlist *parent;
		QLineEdit *data;
		bool dataValid;
		int minWidth;

	public:
		PopupName(Playlist *p);

		void popup(PlaylistBase *dtP);

		void keyPressEvent(QKeyEvent *e);
		void keyReleaseEvent (QKeyEvent *e);
		bool focusNextPrevChild (bool next);

	public slots:
		void hide();
};
#else
	class PopupName;
#endif
